
#ifndef _INCLUDE_AUDIO_STREAM_FROM_WAVE_H_
#define _INCLUDE_AUDIO_STREAM_FROM_WAVE_H_

#include "android_hark.h"

#ifdef __cplusplus
extern "C" {
#endif

extern int  OpenWaveFile(const char *file_name);
extern void CloseWaveFile(void);
extern int  GetWaveDataChannels(void);
extern int  ReadWaveData(int frame_count, float **data);
extern int  HASetParamAudioStreamFromWave(Param_AudioStreamFromWave_t *param);

#ifdef __cplusplus
}
#endif

#endif /* End of _INCLUDE_AUDIO_STREAM_FROM_WAVE_H_ */

/* EOF */

